<?php
$tpl->assign('NOROBOT'.$mod_format, $_SESSION['randomnr2']);

		
if(isset($_POST['update_ciudadlist'])):

	$query = "SELECT 
			  cat_estados.id,
			  cat_estados.estado AS nombrestado,
			  cat_municipios.id,
			  cat_municipios.municipio,
			  cat_municipios.estado_id
			FROM
			 cat_municipios
			 LEFT OUTER JOIN cat_estados ON (cat_municipios.estado_id=cat_estados.id)
			WHERE
			  (cat_municipios.estado_id = ".$_POST['update_ciudadlist'].")
			ORDER BY
			  cat_municipios.municipio";
	
	$municipios = $engine->DB->QueryToArray($query);
	
	$municipio_list.= '<option value="">Elige tu Ciudad</option>';
	
	if($municipios != ''): 
	
			foreach($municipios as $municipio){
				if(strtoupper(trim($municipio['municipio'], ' ')) == strtoupper(trim($municipio['nombrestado'], ' '))){$opselect = 'selected="selected"';}else{$opselect = '';};
				
				$municipio_list.= '<option value="'.$municipio['id'].'"'.$opselect.'>'.strtoupper($municipio['municipio']).'</option>';
			} 
	endif;

	$tpl->assign("CONTENIDO", $tpl->fetch('string:'.$municipio_list));
	
?>
    {$CONTENIDO}
<?
else:
	
	$tpl_contacto			= modulo_html(MODULOS_DIR.'/contacto.tpl');
	$tpl->assign("TPL_FORMULARIO", $tpl->fetch('string:'.$tpl_contacto));
		
	if (md5($_POST['norobot']) == $_SESSION['randomnr2'])	{ 

		if (isset($_POST['email']))
		{
			
								$query = "SELECT * FROM sitios WHERE sitios.id IN ('0','".SITIO_ID."')";
							
							$smtp = $engine->DB->QueryToArray($query);
									/***VARIABLES POR POST ***/
									
									$vals = count($_POST);
									$tags = array_keys($_POST); // obtiene los nombres de las varibles
									$valores = array_values($_POST);// obtiene los valores de las varibles
									
									// crea las variables y les asigna el valor
									
																			
									for($i=0;$i<$vals;$i++){
										$$tags[$i]=$valores[$i]; 
										$tpl->assign($tags[$i], stripslashes(strip_tags($valores[$i])));
									}
									
										$tpl_contacto_mail 		= modulo_html(MODULOS_DIR.'/contacto_mail.tpl');
										$tpl_contacto_confirm 	= modulo_html(MODULOS_DIR.'/contacto_confirm.tpl');
				
										$form_send = $tpl->fetch('string:'.$tpl_contacto_mail);
										$autoreply = $tpl->fetch('string:'.$tpl_contacto_confirm);
						
				
						$query = "INSERT INTO mensajes (email, asunto, mensaje) 
								   VALUES (	
									'".$email."',
									'".$asunto."',
									'".$mensaje."')";
					
						$insert = $engine->DB->QueryToArray($query);  
					
						
						$query = "SELECT * FROM usuarios WHERE usuarios.email = '".$email."' LIMIT 1";
					
						$verifyuser = $engine->DB->QueryToArray($query);
						
						
						if($verifyuser != ''){
							
							}
							else{
											$query = "INSERT INTO usuarios (nombre, empresa, email, telefono, celular, ciudad, estado, pais, password, boletin, status, user_key, fecha_registro) 
													   VALUES ('".$nombre."',
														'".strtoupper($empresa)."',
														'".$email."',
														'".$telefono."',
														'".$celular."',
														'".$ciudad."',
														'".$estado."',
														'".$pais."',
														'".md5($rand_password)."',
														'".$boletin."',
														'registrado',
														'".$user_key."',
														'".$fecha."')";
											
											$insert = $engine->DB->QueryToArray($query);  
							}
				
				
				
				require ($_SERVER['DOCUMENT_ROOT'].'/classes/class.phpmailer.php');
				
						$sitio_titulo	= $smtp[0]['titulo'];
						$mailto 		= $smtp[0]['email'];
						$host_url 		= $smtp[0]['smtp_servidor'];
						$host_puerto 	= $smtp[0]['smtp_puerto'];
						$host_user 		= $smtp[0]['smtp_user'];
						$host_password 	= $smtp[0]['smtp_password'];
				
						$mail = new PHPMailer();
						
						$mail->IsSMTP(); // telling the class to use SMTP
						$mail->Host       = $host_url; // SMTP server
						$mail->Helo		  = $host_url;
						$mail->SMTPDebug  = 1;                     // enables SMTP debug information (for testing)
																   // 1 = errors and messages
																   // 2 = messages only
						$mail->SMTPAuth   = true;                  // enable SMTP authentication
						if($smtp[0]['smtp_tipo'] == 'google'){
								$mail->SMTPSecure = "ssl";                 // sets the prefix to the servier
							}
						$mail->Port       = $host_puerto;          // set the SMTP port for the GMAIL server
						$mail->Username   = $host_user;  		   // GMAIL username
						$mail->Password   = $host_password;        // GMAIL password
						
						$mail->AddReplyTo($email, $nombre);
						
						$mail->SetFrom($mailto, $sitio_titulo);
						
						$mail->Subject    = utf8_decode($nombre)." desea ser contactado.";
						
						$mail->AltBody    = "Para ver este mensaje, por favor utilice visualizador compatible con HTML!"; // optional, comment out and test
						
						$mail->MsgHTML($form_send);
						
						$mail->AddAddress($mailto, $sitio_titulo);
						$mail->AddAddress('ssg@afnet.mx', 'AFNET.MX');
						$mail->AddAddress('anavarrete@sistemcom.com.mx', 'NAVEL NETWORKS');
				
				
				if(!$mail->Send()) {
				  echo "Mailer Error: " . $mail->ErrorInfo;
				} else {
						  
								$mail2 = new PHPMailer();
								
								$mail2->IsSMTP(); // telling the class to use SMTP
								$mail2->Host       = $host_url; // SMTP server
								$mail2->Helo	   = $host_url;
								$mail2->SMTPDebug  = 1;                     // enables SMTP debug information (for testing)
																			// 1 = errors and messages
																			// 2 = messages only
								$mail2->SMTPAuth   = true;                  // enable SMTP authentication
								if($smtp[0]['smtp_tipo'] == 'google'){
										$mail2->SMTPSecure = "ssl";                 // sets the prefix to the servier
									}
								$mail2->Port       = $host_puerto;          // set the SMTP port for the GMAIL server
								$mail2->Username   = $host_user;  		    // GMAIL username
								$mail2->Password   = $host_password;        // GMAIL password
								
								$mail2->AddReplyTo($mailto, $sitio_titulo);
								
								$mail2->SetFrom($mailto, $sitio_titulo);
								
								$mail2->Subject    = "Gracias por contactarnos";
								
								$mail->AltBody    = "Para ver este mensaje, por favor utilice visualizador compatible con HTML!"; // optional, comment out and test
								
								$mail2->MsgHTML($autoreply);
								
								$mail2->AddAddress($email, $nombre);
								
								
								if(!$mail2->Send()) {
								  echo "Mailer Error: " . $mail2->ErrorInfo;
								} else {
								  echo "Message sent!";
								  exit;
								}
						}}
                        
            } 
?>
        {$TPL_FORMULARIO}
<?php
endif;
?>